Package telegram-desktop: Information

  • Default inline alert: Version in the repository: 4.16.6-alt1

Source package: telegram-desktop
Version: 4.16.0-alt1
Latest version according to Repology
Build time:  Apr 3, 2024, 12:41 AM in the task #344237
Report package bug
License: GPLv3 with OpenSSL exception
Summary: Telegram Desktop messaging app
Description: 
Telegram is a messaging app with a focus on speed and security, it's super-fast, simple and free.
You can use Telegram on all your devices at the same time - your messages
sync seamlessly across any number of your phones, tablets or computers.

With Telegram, you can send messages, photos, videos and files of any type (doc, zip, mp3, etc),
as well as create groups for up to 1000 people or channels for broadcasting to unlimited audiences.
You can write to your phone contacts and find people by their usernames.
As a result, Telegram is like SMS and email combined - and can take care of all your personal
or business messaging needs.

List of rpms provided by this srpm:
telegram-desktop (x86_64, i586, aarch64)
telegram-desktop-debuginfo (x86_64, i586, aarch64)

Maintainer: Vitaly Lipatov



    1. /proc
    2. bison
    3. boost-program_options-devel
    4. bzlib-devel
    5. cmake >= 3.16
    6. extra-cmake-modules
    7. gcc-c++
    8. gobject-introspection-devel
    9. gstreamer1.0-devel
    10. libXcomposite-devel
    11. libXdamage-devel
    12. libXdmcp-devel
    13. libXext-devel
    14. libXfixes-devel
    15. libXrandr-devel
    16. libXrender-devel
    17. libXtst-devel
    18. libavcodec-devel >= 4.0
    19. libavfilter-devel >= 4.0
    20. libavformat-devel >= 4.0
    21. libavutil-devel >= 4.0
    22. libblkid-devel
    23. libbrotli-devel
    24. libcrc32c-devel
    25. libdispatch-devel
    26. libdrm-devel
    27. libenchant2-devel
    28. libexpat-devel
    29. libexpected-devel
    30. libffi-devel
    31. libfmt-devel
    32. libglibmm2.68-devel >= 2.77
    33. libhunspell-devel
    34. libjpeg-devel
    35. liblz4-devel
    36. liblzma-devel
    37. libmicrosoft-gsl-devel >= 1:4.0.0-alt2
    38. libminizip-devel
    39. libmount-devel
    40. libopenal-devel >= 1.21.1
    41. libopenh264-devel
    42. libopus-devel
    43. libowt-tg-devel >= 4.3.0.11
    44. libpcre2-devel
    45. qt6-5compat-devel
    46. qt6-base-devel >= 6.6.2
    47. qt6-charts
    48. qt6-charts-devel
    49. qt6-declarative-devel
    50. qt6-imageformats
    51. qt6-svg
    52. qt6-svg-devel
    53. qt6-wayland
    54. qt6-wayland-devel
    55. rpm-build-compat >= 2.1.5
    56. rpm-build-intro >= 2.1.5
    57. rpm-macros-cmake
    58. rpm-macros-qt6
    59. libprotobuf-devel
    60. libprotobuf-lite-devel
    61. libqrcodegen-cpp-devel
    62. librange-v3-devel >= 0.11.0
    63. librlottie-devel >= 0.1.1
    64. librnnoise-devel
    65. libselinux-devel
    66. libssl-devel
    67. libstdc++-devel
    68. libstdc++13-devel-static
    69. libswresample-devel >= 4.0
    70. libswscale-devel >= 4.0
    71. zlib-devel >= 1.2.8
    72. libva-devel
    73. libxkbcommon-devel
    74. libxxhash-devel
    75. libyuv-devel
    76. libzip-devel
    77. pkgconfig(xcb)
    78. pkgconfig(xcb-keysyms)
    79. pkgconfig(xcb-record)
    80. pkgconfig(xcb-screensaver)
    81. protobuf-compiler
    82. python3

Last changed


April 2, 2024 Vitaly Lipatov 4.16.0-alt1
- new version 4.16.0 (with rpmrb script)
March 16, 2024 Vitaly Lipatov 4.15.5-alt1
- new version 4.15.5 (with rpmrb script)
Feb. 27, 2024 Vitaly Lipatov 4.15.0-alt2
- spec: drop all Qt5 related code
- add strict require to libqt6-core built with (ALT bug 49495)